## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate comfy-table

Name:           rust-%{crate}
Version:        4.1.1
Release:        %autorelease
Summary:        Library for building beautiful tables with automatic content wrapping

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/comfy-table
Source:         %{crates_source}
# Initial patched metadata
# * bump crossterm from 0.20 to 0.22
# * drop criterion dev-dependency (only used by benchmarks)
Patch0:         comfy-table-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Easy to use library for building beautiful tables with automatic content
wrapping.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+crossterm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tty-devel %{_description}

This package contains library source intended for building other packages which
use the "tty" feature of the "%{crate}" crate.

%files       -n %{name}+tty-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> 4.1.1-3
- Bump crossterm from 0.20 to 0.22

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Fabio Valentini <decathorpe@gmail.com> 4.1.1-1
- Initial import (#2000920)
